extends Spatial

var _box = preload("res://Box.tscn")

func _ready() -> void:
	
	var arr = []
	
	for _n in range (20000):
		# Create a box
		var b = _box.instance()
		$Boxes.add_child(b)
		
		# Place it randomly
		var r = 100.0
		b.translate(Vector3(rand_range(-r, r), rand_range(-r, r), rand_range(-r, r)))
		
		# Add to the array for merging
		arr.push_back(b)
	
	
	# Set this to true to merge meshes and delete sources
	if true:
		$Merged.merge_meshes(arr)
		$Boxes.queue_free()
	

